﻿@using System.Data.Entity
@using SignalRMVCChat.Areas.Common.Service
@using SignalRMVCChat.DependencyInjection
@using SignalRMVCChat.Extentions
@using SignalRMVCChat.SysAdmin.Service
@using TelegramBotsWebApplication.ActionFilters
@model TelegramBotsWebApplication.Areas.Admin.Models.MyEntityResponse<SignalRMVCChat.Areas.security.Models.Ticket>

@{
    var appUserId = CurrentRequestSingleton.CurrentRequest.AppLoginViewModel.AppUserId;
}

@{
    var ticketIdstr = @Request.Params["ticketId"] ?? "";
}

<form action="/Common/Ticket/Save" method="post" enctype = "multipart/form-data">
    <input hidden="hidden" name="AppUserId" value="@appUserId"/>
    <input hidden="hidden" name="ReturnUrl" value="@Model.Single.ReturnUrl"/>
    <input hidden="hidden" name="ParentId" value="@ticketIdstr"/>
    <input hidden="hidden" name="Status" value="@Model.Single.Status"/>

    <div class="form-group">
        <label>
            عنوان
        </label>
        <input required="required" class="form-control" name="Title" value="@Model.Single.Title"/>

    </div>

    <div class="form-group">
        <label>
            متن
        </label>
        <textarea required="required" class="form-control" name="Body" value="@Model.Single.Body"></textarea>
    </div>


    <div class="form-group">
        <label>
            فایل
        </label>
        <input multiple="multiple" type="file" id="file" name="files" accept="application/pdf,application/zip,image/*"/>
        <span> فایل های pdf ، Zip و تصاویر مورد قبول است</span>
    </div>

    <div class="form-group">
        <button class="btn btn-primary" type="submit">ارسال</button>
    </div>


</form>


